import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class Startup 
	extends MIDlet
{
	/*
	 * Default constructor used by AMS to create an instance 
	 * of our main MIDlet class.
	 */
	public Startup()
	{
		//Print message to console when Startup is constructed
		System.out.println("Constructor: Startup()");
	}
	
	/*
	 * startApp() is called by the AMS after it has successfully created
	 * an instance of our MIDlet class. startApp() causes our MIDlet to
	 * go into a "Active" state. 
	 */
	protected void startApp() 
		throws MIDletStateChangeException
	{
		//Print message to console when startApp() is called
		System.out.println("startApp()");
		
		//get the display for this MIDlet
		Display display = Display.getDisplay( this );
		
		//create a new Form with the title "Form Title"
		Form basicForm = new Form("Form Title");
		
		//append the string "My basic Form" to the new Form
		basicForm.append("My basic Form");
		
		// set the current Displayable to the new Form
		display.setCurrent( basicForm );
	}
	
	/*
	* destroyApp() is called by the AMS when the MIDlet is to be destroyed
	*/
	protected void destroyApp( boolean unconditional ) 
		throws MIDletStateChangeException
	{

	}
	
	/*
	* pauseApp() is called by the AMS when the MIDlet should enter a paused 
	* state. This is not a typical "game" pause, but rater an environment pause.
	* The most common example is an incoming phone call on the device, 
	* which will cause the pauseApp() method to be called. This allows
	* us to perform the needed actions within our MIDlet
	*/
	protected void pauseApp()
	{
	}
}
